Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163013 - CAN-2005-1268 mod_ssl off-by-one
Summary: CAN-2005-1268 mod_ssl off-by-one
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard: public=20050608,impact=low,source=apache
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 09:15 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-25 07:50:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:582 normal SHIPPED_LIVE Moderate: httpd security update 2005-07-25 04:00:00 UTC

Description Mark J. Cox 2005-07-12 09:15:07 UTC
Marc Stern reported an off-by-one overflow in the mod_ssl CRL verification
callback.  In order to exploit this issue the Apache server would need to be
configured to use a malicious certificate revocation list (CRL) (CAN-2005-1268).

http://issues.apache.org/bugzilla/show_bug.cgi?id=35081

Mitigation: by default the Apache web server is not configured to use any
certificate revocation lists.  If Apache has been configured to use a
certificate revocation list, that list would have to be malicious in order to
cause the overflow.  As the overflow is a single null byte stack overflow this
would have minimal effect on RHEL3 or RHEL4, most likely just causing the
current child process to die, and be replaced when required.

Also affects RHEL3

Comment 1 Mark J. Cox 2005-07-25 07:50:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-582.html


Note You need to log in before you can comment on or make changes to this bug.